Bug 145797 - Missing document icons on recent documents list when using Skia hardware rendering on macOS
Summary: Missing document icons on recent documents list when using Skia hardware rend...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2021-11-20 18:36 UTC by Thorsten Wagner
Modified: 2021-12-03 12:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot with Skia hardware rendering (missing icons) (706.76 KB, image/png)
2021-11-20 18:37 UTC, Thorsten Wagner
Details
Screenshot without Skia or with Skia in raster mode (icons present) (904.57 KB, image/png)
2021-11-20 18:38 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2021-11-20 18:36:57 UTC
Description:
When using Skia hardware rendering, document icons on recent documents list are mission (see screenshot attached, red box). Issue does not exist with Skia disabled or with Skia in raster mode (see other screenshot attached, red box).

Steps to Reproduce:
1. Open or create an arbitrary document
2. Look at the recent documents list using the menubar

Actual Results:
Document icons are missing (see screenshot with Skia hardware rendering)

Expected Results:
Document icons are present (see screenshot without Skia or with Skia in raster mode)


Reproducible: Always


User Profile Reset: No



Additional Info:
Screenshots are taken from current revision of master.
Comment 1 Thorsten Wagner 2021-11-20 18:37:53 UTC
Created attachment 176380 [details]
Screenshot with Skia hardware rendering (missing icons)
Comment 2 Thorsten Wagner 2021-11-20 18:38:29 UTC
Created attachment 176381 [details]
Screenshot without Skia or with Skia in raster mode (icons present)
Comment 3 Telesto 2021-11-21 12:07:19 UTC
Repro
Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 11800469cc7b3a40c42410be93a12e5107db0efb
CPU threads: 8; OS: Mac OS X 10.16; UI render: Skia/Raster; VCL: osx
Locale: nl-NL (nl_NL.UTF-8); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2021-11-30 14:45:14 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/afdfc9bb5d56fde866882e7d87869ecafed1e3d0

handle Skia not drawing GPU-backend shader to a bitmap (tdf#145797)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 steve 2021-12-01 13:22:37 UTC
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4ac9032163cf55c160145373e7c41741c9c339ca
CPU threads: 8; OS: Mac OS X 11.6.1; UI render: Skia/Metal; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded

verified, thanks Luboš.
Comment 6 Commit Notification 2021-12-03 12:16:34 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dbf6c1a1961d551bfa7f19dd4e79be6d3304f7ae

handle Skia not drawing GPU-backend shader to a bitmap (tdf#145797)

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.